Bug 481271 - gmetad generates invalid XML when requested about a host not longer found
gmetad generates invalid XML when requested about a host not longer found
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ganglia (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kostas Georgiou
Fedora Extras Quality Assurance
https://bugzilla.redhat.com/show_bug....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-23 06:14 EST by Arenas Belon, Carlo Marcelo
Modified: 2010-06-28 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:08:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arenas Belon, Carlo Marcelo 2009-01-23 06:14:05 EST
Description of problem:
the patch applied to correct BUG480236 includes a snippet that will abort the connection and return incomplete XML if the interactive port is asked for a non existant cluster/host

Version-Release number of selected component (if applicable):
3.1.1-3 (rawhide)
3.1.1-3 (F10 test update)
3.0.7-4 (F9 test update)

How reproducible:
always

Steps to Reproduce:
1. start gmetad and httpd and open browser to host view for a specific node
2. shutdown gmond in that node
3. restart gmetad
  
Actual results:
web page will fail to load with an "XML Invalid Document Error"

Expected results:
web page will load showing the historic information from that host

Additional info:
the following patch has been applied upstream reverting the offending snippet to avoid this issue in trunk :

  http://ganglia.svn.sourceforge.net/viewvc/ganglia/trunk/monitor-core/gmetad/server.c?view=patch&r1=1955&r2=1954&pathrev=1955

a simplified patch that could be applied to all versions of ganglia and that could be used instead of the one backported from trunk in :

  http://bugzilla.ganglia.info/cgi-bin/bugzilla/attachment.cgi?id=189&action=view
Comment 1 Kostas Georgiou 2009-01-23 09:08:16 EST
I did notice that the XML was incomplete when gmetad is asked for a non existant cluster/host but I missed the fact that the web server is affected. 

Time to build new packages...
Comment 2 Arenas Belon, Carlo Marcelo 2009-04-13 06:34:15 EDT
bug fixed upstream with the release of 3.1.2 and is therefore closed for rawhide with 3.1.2-3.

package 3.1.1-4 is not affected but has been superseded in rawhide already; AFAIK no working update was released for FC9, FC10, EPEL4 or EPEL5 as reflected by BUG480236
Comment 3 Bug Zapper 2009-06-09 06:50:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 08:46:55 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:08:23 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.